# class SS7SCCPDataSegment | Helper class to memorize SCCP data segments More...
Full name | `TelEngine::SS7SCCPDataSegment`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SS7SCCPDataSegment (unsigned int index, unsigned int length)
- virtual ~SS7SCCPDataSegment ()
- inline void fillSegment (DataBlock& temp, const DataBlock& orig)

## Detailed Description

Helper class to memorize SCCP data segments

inline SS7SCCPDataSegment (unsigned int index, unsigned int length) | ### SS7SCCPDataSegment

Constructor

Parameters:

index | The index in the original DataBlock where this segment starts
length | The length of this segment

~SS7SCCPDataSegment () | ### ~SS7SCCPDataSegment

[virtual]

Destructor

inline void fillSegment (DataBlock& temp, const DataBlock& orig) | ### fillSegment

Assignees to a DataBlock this segment's data

Parameters:

temp | The destination DataBlock segment
orig | The original DataBlock where this segment is located

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.